Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 179382 - horizontalScrollBarPolicy property unreadable and unrecognizable since NB6.8
horizontalScrollBarPolicy property unreadable and unrecognizable since NB6.8
Status: VERIFIED FIXED
Product: guibuilder
Classification: Unclassified
Component: App Framework
6.x
PC Mac OS X
: P2 (vote)
: 6.x
Assigned To: issues@guibuilder
issues@guibuilder
68patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-11 07:51 UTC by zn_cn_2
Modified: 2010-01-28 03:36 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description zn_cn_2 2010-01-11 07:51:06 UTC
in Netbeans 6.8,  the horizontalScrollBarPolicy and verticalScrollBarPolicy property of JScrollPanel changed into int value in properties panel.

Before 6.8,  that value is just a list, and user can't select a kind of value, such as NEVER/AS_NEEDED/ALWAYS, that is readable and recognizable.

Now it turns into a int value, say 20 or 30.

That's so discommodious.

This is also happened on  verticalTextPosition / horizontalTextPosition property of JButton.
Comment 1 Jan Stola 2010-01-18 09:43:06 UTC
This issue is an unfortunate consequence of fix of issue 157012.

If the property of the component was modified in the previous build then the original (enum) editor remains, but it is not present for unmodified properties (and all new components).
Comment 2 Jan Stola 2010-01-18 09:46:07 UTC
It happens on Mac OS with JDK 6 only.
Comment 3 Jan Stola 2010-01-18 10:46:53 UTC
Fixed. It is annoying for Mac users, I will try to get this into the next patch of NB6.8.

Modified file: http://hg.netbeans.org/cdev/rev/ab45cacb4ed4
Comment 4 pgebauer 2010-01-20 11:56:57 UTC
The fix has been ported into the release68_fixes repository.
http://hg.netbeans.org/release68_fixes/rev/3cd8f95bc593


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo